Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MmsMessage

    java.lang.Object
      hr.tis.mgw.client.message.Message
          hr.tis.mgw.client.message.MmsMessage

All Implemented Interfaces:
  java.io.Serializable

public class MmsMessage
extends Message

Represents MMS message. Contain subject and list of MmsParts associated with this MmsMessage.

See Also:
  `MmsPart`, Serialized Form

Constructor Summary
`MmsMessage()` Create MmsMessage with subject and no MmsParts.
`MmsMessage(java.lang.String subject)` Create MmsMessage with specified subject and no MmsParts.
`MmsMessage(java.lang.String subject, java.util.List parts)` Create MmsMessage with specified subject and list of MmsParts.

Method Summary
`void` | `addAttachment(Attachment attachment)` Deprecated. Since library version 2 use addPart.
`void` | `addPart(MmsPart mmsPart)` Add MmsPart to this MmsMessage.
`void` | `clearParts()` Remove all associated MmsParts from this MmsMessage.
`Attachment[]` | `getAttachments()` Deprecated. Since library version 2 use getParts.
`java.util.List` | `getParts()` Return list of all MmsParts associated with this MmsMessage.
`java.lang.String` | `getSubject()` Return subject.
`void` | `removePart(MmsPart mmsPart)` Remove MmsPart from this MmsMessage.
`void` | `setSubject(java.lang.String subject)` Set subject.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MmsMessage

    public MmsMessage()

  Create MmsMessage with subject and no MmsParts.

### MmsMessage

    public MmsMessage(java.lang.String subject)

  Create MmsMessage with specified subject and no MmsParts.

Parameters:
  `subject` - Subject

### MmsMessage

    public MmsMessage(java.lang.String subject,
                      java.util.List parts)

  Create MmsMessage with specified subject and list of MmsParts.

Parameters:
  `subject` - Subject
  `parts` - List of MmsParts

Method Detail

### addPart

    public void addPart(MmsPart mmsPart)

  Add MmsPart to this MmsMessage.

  Parameters:
    `mmsPart` - MmsPart

### removePart

    public void removePart(MmsPart mmsPart)

  Remove MmsPart from this MmsMessage.

  Parameters:
    `mmsPart` - MmsPart

### getParts

    public java.util.List getParts()

  Return list of all MmsParts associated with this MmsMessage.

  Returns:
    List of MmsParts

### clearParts

    public void clearParts()

  Remove all associated MmsParts from this MmsMessage.

### addAttachment

    public void addAttachment(Attachment attachment)

  Deprecated. Since library version 2 use addPart.

  Add Attachment to this MmsMessage.

  Parameters:
    `attachment` - Attachment

### getAttachments

    public Attachment[] getAttachments()

  Deprecated. Since library version 2 use getParts.

  Return array of Attachments associated with this MmsMessage.

  Overrides:
    `getAttachments` in class `Message`
  Returns:
    Array of Attachment
  See Also:
    `MmsMessage`, `MmsPart`

### getSubject

    public java.lang.String getSubject()

  Return subject.

  Overrides:
    `getSubject` in class `Message`
  Returns:
    Subject
  See Also:
    `MmsMessage`

### setSubject

    public void setSubject(java.lang.String subject)

  Set subject.

  Parameters:
    `subject` - Subject

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.